<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="UTF-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1.0, shrink-to-fit=no">
<link href="../static/images/favicon.png" rel="icon" />
<title>Transactions - Virtual Wallet</title>
<meta name="description" content="This professional design html template is for build a Money Transfer and online payments website.">
<meta name="author" content="harnishdesign.net">

<!-- Web Fonts
============================================= -->
<link rel='stylesheet' href='https://fonts.googleapis.com/css?family=Rubik:300,300i,400,400i,500,500i,700,700i,900,900i' type='text/css'>

<!-- Stylesheet
============================================= -->
  <link rel="stylesheet" type="text/css" href="../static/vendor/bootstrap/css/bootstrap.min.css" th:href="@{/vendor/bootstrap/css/bootstrap.min.css}"/>
  <link rel="stylesheet" type="text/css" href="../static/vendor/font-awesome/css/all.min.css" th:href="@{/vendor/font-awesome/css/all.min.css}"/>
<link rel="stylesheet" type="text/css" href="../static/vendor/daterangepicker/daterangepicker.css" th:href="@{/vendor/daterangepicker/daterangepicker.css}"/>
  <link rel="stylesheet" type="text/css" href="../static/css/stylesheet.css" th:href="@{/css/stylesheet.css}" />
</head>
<body>

<!-- Preloader -->
<!--<div id="preloader">-->
<!--  <div data-loader="dual-ring"></div>-->
<!--</div>-->
<!-- Preloader End --> 

<!-- Document Wrapper   
============================================= -->
<div id="main-wrapper"> 
  
  <!-- Header
  ============================================= -->
  <header id="header">
    <div class="container">
      <div class="header-row">
        <div class="header-column justify-content-start"> 
          <!-- Logo
          ============================= -->
          <div class="logo"> <a class="d-flex" href="index.html" th:href="@{/}" title="Virtual Wallet Logo"><img src="../static/images/wallet-logo.png" alt="Payyed" th:src="@{/images/wallet-logo.png}" /></a> </div>
          <!-- Logo end --> 
          <!-- Collapse Button
          ============================== -->
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#header-nav"> <span></span> <span></span> <span></span> </button>
          <!-- Collapse Button end --> 
          
          <!-- Primary Navigation
          ============================== -->
          <div th:replace="fragments/navbar-and-footer :: navbar"></div>
          <!-- Primary Navigation end --> 
        </div>
        <div class="header-column justify-content-end"> 
          <!-- Login & Signup Link
          ============================== -->
          <div th:replace="fragments/navbar-and-footer::login"></div>
          <!-- Login & Signup Link end --> 
        </div>
      </div>
    </div>
  </header>
  <!-- Header End --> 
  
  <!-- Content
  ============================================= -->
  <div id="content" class="py-4">
    <div class="container">
      <div class="row"> 
        
        <!-- Left Panel
        ============================================= -->
        <aside class="col-lg-3"> 
          
          <!-- Profile Details
          =============================== -->
          <form enctype="multipart/form-data" class="form-horizontal" role="form" action="#">
            <div class="bg-light shadow-sm rounded text-center p-3 mb-4">
              <div class="profile-thumb mt-3 mb-4">
                <img class="rounded-circle img-fluid" th:src="@{${currentUser.getPhoto()}}" alt="">
              </div>
              <p class="text-3 font-weight-500 mb-2"
                 th:text="'Welcome , ' + ${currentUser.getFullName()} + '!'"></p>
            </div>
          </form>
          <!-- Profile Details End --> 

          
        </aside>
        <!-- Left Panel End -->
        
        <!-- Middle Panel
        ============================================= -->
        <div class="col-lg-9">

          <h2 class="font-weight-400 mb-3">Transactions</h2>

          <!-- Filter
          ============================================= -->
          <div class="row">
            <div class="col mb-2">
              <form id="filterAllTransactions" th:action="@{/transactions}" method="get" th:object="${filterOptions}">
                <!--                                  th:action="@{/admin-portal/transactions}">-->
                <div class="form-row">
                  <!-- Date Range
                  ========================= -->

                  <!-- All Filters Link
                  ========================= -->






                  </select>

                  <select th:field="*{sortBy}">
<!--                    <option value="">Sort By</option>-->
                    <option value="amount">Amount</option>

                  </select>
                  <select th:field="*{sortOrder}">
<!--                    <option value="">Sort Order</option>-->
                    <option value="asc">Ascending</option>
                    <option value="desc">Descending</option>
                  </select>
                  <br/><br/>

                  <input type="submit" value="Search"/>

                </div>
              </form>
            </div>
          </div>


          <!-- All Transactions
          ============================================= -->
          <div class="bg-light shadow-sm rounded py-4 mb-4">
            <h3 class="text-5 font-weight-400 d-flex align-items-center px-4 mb-3">All Transactions</h3>
            <!-- Title
            =============================== -->
            <div class="transaction-title py-2 px-4">
              <div class="row">
                <div class="col-2 col-sm-1 text-center"><span class="">Date</span></div>
                <div class="col col-sm-4 text-center">Sender</div>
                <div class="col col-sm-4 text-center">Recipient</div>
                <!--                                <div class="col-auto col-sm-2 d-none d-sm-block text-center">Status</div>-->
                <div class="col-3 col-sm-2 text-center">Amount</div>
              </div>
            </div>
            <!-- Title End -->

            <!-- Transaction List
            =============================== -->
            <div class="transaction-list">

              <div class="transaction-item px-4 py-3" data-toggle="modal"
                   th:each="transaction:${transactions}"
                   th:attr="data-target='#transaction-detail'+${transaction.getId()}">
                <div class="row align-items-center flex-row">
                  <div class="col-2 col-sm-1 text-center"><span
                          class="d-block text-4 font-weight-300" th:text="${#strings.substring(transaction.getTransactionDate(),8,10)}"></span> <span
                          class="d-block text-1 font-weight-300 text-uppercase" th:text="${#strings.substring(transaction.getTransactionDate(),5,7)}"></span></div>
                  <div class="col-3 col-sm-4 text-center"><span class="d-block text-4"
                                                                th:text="${transaction.getSenderWallet().getOwner().getFullName()}"></span>
                  </div>
                  <div class="col-3 col-sm-4 text-center"><span class="d-block text-4"
                                                                th:text="${transaction.getRecipientWallet().getOwner().getFullName()}"></span>
                  </div>
                  <div class="col-3 col-sm-2 text-center">
                    <span th:text="${transaction.getAmount()}"></span>
                    <span class="text-2 text-uppercase">(BGN)</span></div>
                </div>

                <!-- Transaction Item Details Modal
            =========================================== -->
                <div th:attr="id='transaction-detail'+${transaction.getId()}" class="modal fade" role="dialog"
                     aria-hidden="true">
                  <div class="modal-dialog modal-dialog-centered transaction-details" role="document">
                    <div class="modal-content">
                      <div class="modal-body">
                        <div class="row no-gutters">
                          <div class="col-sm-5 d-flex justify-content-center bg-primary rounded-left py-4">
                            <div class="my-auto text-center">
                              <div class="text-17 text-white my-3"><i
                                      class="fas fa-building"></i>
                              </div>
                              <h3 class="text-4 text-white font-weight-400 my-3" th:text="'Transaction ID: ' +${transaction.getId()}"></h3>
                              <div class="text-8 font-weight-500 text-white my-4" th:text="${transaction.getAmount()} + ' BGN'"></div>
                              <p class="text-white" th:text="${#strings.substring(transaction.getTransactionDate(),0,10)}"></p>
                            </div>
                          </div>
                          <div class="col-sm-7">
                            <h5 class="text-5 font-weight-400 m-3">Transaction Details
                              <button type="button" class="close font-weight-400"
                                      data-dismiss="modal" aria-label="Close"><span
                                      aria-hidden="true">&times;</span></button>
                            </h5>
                            <hr>
                            <div class="px-3">

                              <ul class="list-unstyled">
                                <li class="font-weight-500">Sender Full Name:</li>
                                <li class="text-muted" th:text="${transaction.getSenderWallet().getOwner().getFullName()}"></li>
                              </ul>
                              <ul class="list-unstyled">
                                <li class="font-weight-500">Recipient Full Name:</li>
                                <li class="text-muted" th:text="${transaction.getRecipientWallet().getOwner().getFullName()}"></li>
                              </ul>
                              <p class="d-flex align-items-center font-weight-500 mb-4">Total
                                Amount <span class="text-3 ml-auto" th:text="${transaction.getAmount()} + ' BGN'"></span></p>
                              <ul class="list-unstyled">
                                <li class="font-weight-500">Category:</li>
                                <li class="text-muted" th:text="${transaction.getCategory().getCategoryName()}"></li>
                              </ul>
                              <ul class="list-unstyled">
                                <li class="font-weight-500">Status:</li>
                                <li class="text-muted">Completed</li>
                              </ul>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <!-- Transaction Item Details Modal End -->




              </div>


              <!-- Transaction List End -->

              <!-- Pagination
              ============================================= -->
              <ul class="pagination justify-content-center mt-4 mb-0">

                <li class="page-item active"><a class="page-link" href="#">1</a></li>

              </ul>
            </div>
            <!-- Paginations end -->

          </div>
          <!-- All Transactions End -->
        </div>
        <!-- Middle End -->
      </div>
    </div>
  </div>
  <!-- Content end --> 
  
  <!-- Footer
  ============================================= -->
  <div th:replace="fragments/navbar-and-footer::footer"></div>
  <!-- Footer end --> 
  
</div>
<!-- Document Wrapper end --> 

<!-- Back to Top
============================================= --> 
<a id="back-to-top" data-toggle="tooltip" title="Back to Top" href="javascript:void(0)"><i class="fa fa-chevron-up"></i></a> 

<!-- Script -->
<script src="../static/vendor/jquery/jquery.min.js" th:src="@{/vendor/jquery/jquery.min.js}"></script>
<script src="../static/vendor/bootstrap/js/bootstrap.bundle.min.js"
        th:src="@{/vendor/bootstrap/js/bootstrap.bundle.min.js}"></script>
<script src="../static/vendor/daterangepicker/moment.min.js" th:src="@{/vendor/daterangepicker/moment.min.js}"></script>
<script src="../static/vendor/daterangepicker/daterangepicker.js"
        th:src="@{/vendor/daterangepicker/daterangepicker.js}"></script>
<script>
$(function() {
 'use strict';
 
 // Date Range Picker
 $(function() {
    var start = moment().subtract(29, 'days');
    var end = moment();
    function cb(start, end) {
        $('#dateRange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
    }
    $('#dateRange').daterangepicker({
        startDate: start,
        endDate: end,
        ranges: {
           'Today': [moment(), moment()],
           'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
           'Last 7 Days': [moment().subtract(6, 'days'), moment()],
           'Last 30 Days': [moment().subtract(29, 'days'), moment()],
           'This Month': [moment().startOf('month'), moment().endOf('month')],
           'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
        }
    }, cb);
    cb(start, end);
});
});
</script>
<script src="../static/js/theme.js" th:src="@{/js/theme.js}"></script>
</body>
</html>